all: csv-test seq-read

CC=cc
CFLAGS=-Wall -Wextra -pedantic -std=c99 -O2

csv-test: csv-test.c csv.o csv.h
	$(CC) $(CFLAGS) -o $@ csv-test.c csv.o

seq-read: seq-read.c
	$(CC) $(CFLAGS) -o $@ $<

csv.o: csv.c csv.h
	$(CC) $(CFLAGS) -DNDEBUG -o $@ -c $<

clean:
	rm csv-test seq-read csv.o

.PHONY: all clean

